close all
clear all
rng(10);

% loading the data and preparing the y, x and u vectors/matrices
load ../../data/Macro2/GrowthData.mat
data=[ones(size(data,1),1) zscore(data,1)]; 
u=data(:,1:2);
x=data(:,3:end-1);
y=data(:,end);

% options
abeta=1;
bbeta=1;
Abeta=1;
Bbeta=1;
M=1100000;
N=100000;

% posterior inference
[store_B,store_z,store_phi,store_q,store_R2,store_gam,store_s2,y,x,u,T,k]=SpikeSlabGLP(y,x,u,abeta,bbeta,Abeta,Bbeta,M,N);

% saving the results
% save ../EstimationResults/NEWdraws/Macro2_PosteriorDraws

