close all
clear all
rng(10);

% loading the data and preparing the y, x and u vectors/matrices
load ../../data/Micro2/Data1stStageEminentDomain_u80.mat
data=Data1stStageEminentDomain_u80; clear Data1stStageEminentDomain_u80;
u=data(:,1:80);
x=data(:,81:end-1);
y=data(:,end);

% options
abeta=1;
bbeta=1;
Abeta=1;
Bbeta=1;
M=1100000;
N=100000;

% posterior inference
[store_B,store_z,store_phi,store_q,store_R2,store_gam,store_s2,y,x,u,T,k]=SpikeSlabGLP(y,x,u,abeta,bbeta,Abeta,Bbeta,M,N);

% saving the results
% save ../EstimationResults/NEWdraws/Micro2_PosteriorDraws

