function r=SBR(yy,xx,xy,uu,uy,ux,k,lambda);

b0=uu\uy;
if isempty(uu); L0=yy; else; L0=yy-uy'*b0; end
Z=zeros(k,1);   % initialization at the null model
delta=-1;

while delta<0
    Lnew=NaN(k,1);
    for i=1:k
        Znew=Z; Znew(i)=(Z(i)==0); znew=logical(Znew);
        if isempty(uu)
            bnew=(xx(znew,znew))\xy(znew);
            Lnew(i)=yy-xy(znew)'*bnew+lambda*sum(Znew); % ssr + l0 penalty
            %bnew=(x(:,znew)'*x(:,znew))\x(:,znew)'*y;
            %Lnew(i)=yy-y'*x(:,znew)*bnew+lambda*sum(Znew); % ssr + l0 penalty
        else
            bnew=[uu ux(znew);ux(znew)' xx(znew,znew)]\[uy;xy(znew)];
            Lnew(i)=yy-[uy;xy(znew)]'*bnew+lambda*sum(Znew); % ssr + l0 penalty
        end
    end
    [Lnew,pos]=min(Lnew);
    delta=Lnew-L0;
    if delta<0; L0=Lnew; Z(pos)=(Z(pos)==0); end
end

r.s=sum(Z);
r.Z=Z;
r.L=L0;
if isempty(uu)
    r.b=(xx(find(Z),find(Z)))\xy(find(Z));
else
    r.b=[uu ux(find(Z));ux(find(Z))' xx(find(Z),find(Z))]\[uy;xy(find(Z))];
end