function r=SBRCVK(origY,origX,origU,lambdaA,lambdaB,Kfold,pU);

[T,k]=size(origX);
[junk,l]=size(origU);
%UX=[U X];

gridlambda=[lambdaB:-.1:lambdaA];

SQdev=NaN(Kfold,length(gridlambda));

for i=1:Kfold
    SmplOut=[round((i-1)*T/Kfold+1):round(i*T/Kfold)]';
    SmplIn=setdiff([1:T]',SmplOut);
    Tin=length(SmplIn);
    Tout=length(SmplOut);
    
    if exist('pU')
        pR=[ones(Tin,1) pU(SmplIn,:)];
        bhat=pinv(pR'*pR)*pR'*origY(SmplIn);
        Y=origY-[ones(T,1) pU]*bhat;
        bhat=pinv(pR'*pR)*pR'*origX(SmplIn,:);
        X=origX-[ones(T,1) pU]*bhat;      
        if l>0
            bhat=pinv(pR'*pR)*pR'*origU(SmplIn,:);
            U=origU-[ones(T,1) pU]*bhat;
        else
            U=[];
        end
    else
        Y=origY; X=origX; U=origU;
    end
    UX=[U X]; 
    
    
    if l>0; [ut,Mu,Su] = zscore(U(SmplIn,:),1); else; ut=[]; Mu=[]; Su=[]; end
    [x,Mx,Sx] = zscore(X(SmplIn,:),1);
    [y,My,Sy] = zscore(Y(SmplIn,:),1);
    ux=[ut x];
    yy=y'*y; xx=x'*x; xy=x'*y; uu=ut'*ut; if l>0; uy=ut'*y; ux=ut'*x; else; uy=[]; ux=[]; end
    
    count=0;
    for lambda=gridlambda;%lambdaB:-.1:lambdaA
        count=count+1; 
        raux=SBR(yy,xx,xy,uu,uy,ux,k,lambda); 
        if isempty([1:l;find(raux.Z)+l]); Mfct=0; else; Mfct=UX(SmplOut,[1:l;find(raux.Z)+l])*raux.b; end
        SQdev(i,count)=mean((Y(SmplOut)-Mfct).^2);
%        aaa=[aaa sum(r.Z)];
%         is=find(blasso(1+s+l,:)~=0);
%         raux=ols1(Y(SmplIn),[ones(Tin,1) UX(SmplIn,is)]);
%         Mfct=[ones(Tout,1) UX(SmplOut,is)]*raux.bhatols;
%         SQdev(i,s+1)=mean((Y(SmplOut)-mean(Mfct,2)).^2);
    end 
end

[junk indmin]=min(mean(SQdev)); r.lambda=gridlambda(indmin);




% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function r=SBRCVK(Y,X,U,lambdaA,lambdaB,Kfold);
% 
% [T,k]=size(X);
% [junk,l]=size(U);
% UX=[U X];
% 
% gridlambda=[lambdaB:-.1:lambdaA];
% 
% SQdev=NaN(Kfold,length(gridlambda));
% 
% for i=1:Kfold
%     SmplOut=[round((i-1)*T/Kfold+1):round(i*T/Kfold)]';
%     SmplIn=setdiff([1:T]',SmplOut);
%     Tin=length(SmplIn);
%     Tout=length(SmplOut);
%     
%     if l>0; [ut,Mu,Su] = zscore(U(SmplIn,:),1); else; ut=[]; Mu=[]; Su=[]; end
%     [x,Mx,Sx] = zscore(X(SmplIn,:),1);
%     [y,My,Sy] = zscore(Y(SmplIn,:),1);
%     ux=[ut x];
%     yy=y'*y; xx=x'*x; xy=x'*y; uu=ut'*ut; if l>0; uy=ut'*y; ux=ut'*x; else; uy=[]; ux=[]; end
%     
%     count=0;
%     for lambda=lambdaB:-.1:lambdaA
%         count=count+1; 
%         raux=SBR(yy,xx,xy,uu,uy,ux,k,lambda); 
%         if isempty([1:l;find(raux.Z)+l]); Mfct=0; else; Mfct=UX(SmplOut,[1:l;find(raux.Z)+l])*raux.b; end
%         SQdev(i,count)=mean((Y(SmplOut)-Mfct).^2);
% %        aaa=[aaa sum(r.Z)];
% %         is=find(blasso(1+s+l,:)~=0);
% %         raux=ols1(Y(SmplIn),[ones(Tin,1) UX(SmplIn,is)]);
% %         Mfct=[ones(Tout,1) UX(SmplOut,is)]*raux.bhatols;
% %         SQdev(i,s+1)=mean((Y(SmplOut)-mean(Mfct,2)).^2);
%     end 
% end
% 
% [junk indmin]=min(mean(SQdev)); r.lambda=gridlambda(indmin);
% 
