clear all
close all

cd ../Estimation/EstimationResults/GLPdraws; % This is the folder containing the posterior draws used in the paper
%cd ../Estimation/EstimationResults/NEWdraws; % This is the folder containing the posterior draws obtained using new runs of the estimation codes

% heatmap
figure('Position', [0, 400, 800, 800]); 

% macro 1
load Macro1_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
Z=store_z(:,N+1:M)';
meanZ=mean(Z);
ax1=subplot(3,2,[1]);
imagesc(meanZ)
colorbar
caxis([0, 1])
colormap(ax1,flipud(colormap(ax1,'hot')))
set(gca,'YTickLabel','','Ytick',[])
xlabel('coefficients')
title('Macro 1')
clear all

% macro 2
load Macro2_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
Z=store_z(:,N+1:M)';
meanZ=mean(Z);
ax2=subplot(3,2,[2]);
imagesc(meanZ)
colorbar
caxis([0, 1])
colormap(ax2,flipud(colormap(ax2,'hot')))
set(gca,'YTickLabel','','Ytick',[])
xlabel('coefficients')
title('Macro 2')
clear all

% finance 1
load Finance1_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
Z=store_z(:,N+1:M)';
meanZ=mean(Z);
ax3=subplot(3,2,[3]);
imagesc(meanZ)
colorbar
caxis([0, 1])
colormap(ax3,flipud(colormap(ax3,'hot')))
set(gca,'YTickLabel','','Ytick',[])
xlabel('coefficients')
title('Finance 1')
clear all

% finance 2
load Finance2_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
Z=store_z(:,N+1:M)';
meanZ=mean(Z);
ax4=subplot(3,2,[4]);
imagesc(meanZ)
colorbar
caxis([0, 1])
colormap(ax4,flipud(colormap(ax4,'hot')))
set(gca,'YTickLabel','','Ytick',[])
xlabel('coefficients')
title('Finance 2')
clear all

% Micro 1
load Micro1_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
Z=store_z(:,N+1:M)';
meanZ=mean(Z);
ax5=subplot(3,2,[5]);
imagesc(meanZ)
colorbar
caxis([0, 1])
colormap(ax5,flipud(colormap(ax5,'hot')))
set(gca,'YTickLabel','','Ytick',[])
xlabel('coefficients')
title('Micro 1')
clear all

% Micro 2
load Micro2_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
Z=store_z(:,N+1:M)';
meanZ=mean(Z);
ax6=subplot(3,2,[6]);
imagesc(meanZ)
colorbar
caxis([0, 1])
colormap(ax6,flipud(colormap(ax6,'hot')))
set(gca,'YTickLabel','','Ytick',[])
xlabel('coefficients')
title('Micro 2')