clear all
close all

cd ../Estimation/EstimationResults/GLPdraws; % This is the folder containing the posterior draws used in the paper
%cd ../Estimation/EstimationResults/NEWdraws; % This is the folder containing the posterior draws obtained using new runs of the estimation codes

% posterior of q
figure('Position', [0, 400, 800, 800]); 

% macro 1
load Macro1_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
edges=0:.01:1;   % these are the edges of the interval (which is centered on .01, .02, etc...)
subplot(3,2,[1]); histogram(store_q(N+1:end),edges,'Normalization','pdf');
xlabel('q')
title('Macro 1')
xlim([0 1])
clear all

% macro 2
load Macro2_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
edges=0:.01:1;
subplot(3,2,[2]); histogram(store_q(N+1:end),edges,'Normalization','pdf'); 
xlabel('q')
title('Macro 2')
xlim([0 1])
clear all

% finance 1
load Finance1_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
edges=0:.01:1;
subplot(3,2,[3]); histogram(store_q(N+1:end),edges,'Normalization','pdf'); 
xlabel('q')
title('Finance 1')
xlim([0 1])
clear all

% finance 2
load Finance2_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
edges=0:.01:1;
subplot(3,2,[4]); histogram(store_q(N+1:end),edges,'Normalization','pdf'); 
xlabel('q')
title('Finance 2')
xlim([0 1])
clear all

% Micro 1
load Micro1_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
edges=0:.01:1;
subplot(3,2,[5]); histogram(store_q(N+1:end),edges,'Normalization','pdf'); 
xlabel('q')
title('Micro 1')
xlim([0 1])
clear all

% Micro 2
load Micro2_PosteriorDraws.mat
if exist('store_z')==0;
    store_z=Z;
    store_q=Q';
    store_gam=sqrt(Gamma2)';
    intq=qq;
    N=0;
end;
edges=0:.01:1;
subplot(3,2,[6]); histogram(store_q(N+1:end),edges,'Normalization','pdf'); 
xlabel('q')
title('Micro 2')
xlim([0 1])



