close all
clear all
rng(10);

% loading the data and preparing the y, x and u vectors/matrices
load ../../data/Micro1/Abortion_data_u13.mat  
data=[TDums zscore([Dxmurd Zmurd Dymurd],1)]; clearvars -except data dataset
u=data(:,1:13);
x=data(:,14:end-1);
y=data(:,end);

% options
abeta=1;
bbeta=1;
Abeta=1;
Bbeta=1;
M=1100000;
N=100000;

% posterior inference
[store_B,store_z,store_phi,store_q,store_R2,store_gam,store_s2,y,x,u,T,k]=SpikeSlabGLP(y,x,u,abeta,bbeta,Abeta,Bbeta,M,N);

% saving the results
% save ../EstimationResults/NEWdraws/Micro1_PosteriorDraws

