function r=IteratedLassoBCH(y,x,u,quantile,algorithm);

c=1.1;
gamma=.05;

[T,k]=size(x);
%s0=max([1,k*.05]); ind0=logical(binornd(1,s0/k,k,1));
%r0=ols1(y,[ones(T,1) x(:,ind0)]); sigma20=(r0.resols'*r0.resols)/T;
sigma20=var(y);

tol=1e-3;
delta=1;
psi=.1; sigma20=psi*sigma20;
count=0;

if strcmp(algorithm,'algorithm1')
    
    while delta>tol & count<25
        count=count+1;
        [blasso,stuff]=lasso([u*1000 x],y,'Lambda',.5*(2*c*sqrt(sigma20)*quantile)/T,'Standardize',0);
        delta=abs(stuff.MSE-sigma20);
        sigma20=stuff.MSE;
    end
    
    r.penBCHxdep=.5*(2*c*sqrt(sigma20)*quantile)/T;
    r.blassoBCHxdep=blasso;
    
    r.penBCHindep=.5*(2*c*sqrt(sigma20)*sqrt(T)*norminv(1-gamma/(2*k)))/T;
    r.blassoBCHindep=lasso([u*1000 x],y,'Lambda',r.penBCHindep,'Standardize',0);
    
    r.count=count;
    
    
elseif strcmp(algorithm,'algorithm2')
    
    while delta>tol & count<25
        count=count+1;
        [blasso,stuff]=lasso([u*1000 x],y,'Lambda',.5*(2*c*sqrt(sigma20)*quantile)/T,'Standardize',0);
        pl=ols1(y,[u x(:,find(blasso(size(u,2)+1:end)~=0))]);
        delta=abs(pl.sig2hatols-sigma20);
        sigma20=pl.sig2hatols;
    end
    
    r.penBCHxdep=.5*(2*c*sqrt(sigma20)*quantile)/T;
    r.blassoBCHxdep=blasso;
    
    r.penBCHindep=.5*(2*c*sqrt(sigma20)*sqrt(T)*norminv(1-gamma/(2*k)))/T;
    r.blassoBCHindep=lasso([u*1000 x],y,'Lambda',r.penBCHindep,'Standardize',0);
    
    r.count=count;
    
end


