function r=PostLassoCVK(origY,origX,origU,Kfold,maxS,pU)

[T,k]=size(origX);
[junk,l]=size(origU);

SQdev=NaN(Kfold,maxS+1);

for i=1:Kfold
    SmplOut=[round((i-1)*T/Kfold+1):round(i*T/Kfold)]';
    SmplIn=setdiff([1:T]',SmplOut);
    Tin=length(SmplIn);
    Tout=length(SmplOut);
    
    if isempty(pU)==0
        pR=[ones(Tin,1) pU(SmplIn,:)];
        bhat=pinv(pR'*pR)*pR'*origY(SmplIn);
        Y=origY-[ones(T,1) pU]*bhat;
        bhat=pinv(pR'*pR)*pR'*origX(SmplIn,:);
        X=origX-[ones(T,1) pU]*bhat;      
        if l>0
            bhat=pinv(pR'*pR)*pR'*origU(SmplIn,:);
            U=origU-[ones(T,1) pU]*bhat;
        else
            U=[];
        end
    else
        Y=origY; X=origX; U=origU;
    end
    UX=[U X]; 
    
    if l>0; [ut,Mu,Su] = zscore(U(SmplIn,:),1); else; ut=[]; Mu=[]; Su=[]; end
    [x,Mx,Sx] = zscore(X(SmplIn,:),1);
    [y,My,Sy] = zscore(Y(SmplIn,:),1);
    ux=[ut x];
    Mux=[Mu Mx];
    Sux=[Su Sx];
    
    blasso=Lars([ut*1000 x],y);
    
    for s=0:min(maxS,size(blasso,1)-l-1)
        is=find(blasso(1+s+l,:)~=0);
        raux=ols1(Y(SmplIn),[ones(Tin,1) UX(SmplIn,is)]);
        Mfct=[ones(Tout,1) UX(SmplOut,is)]*raux.bhatols;
        SQdev(i,s+1)=mean((Y(SmplOut)-Mfct).^2);
    end 
end

[junk indmin]=min(mean(SQdev)); r.s=indmin-1;
