function r=bisectionSBR(yy,xx,xy,uu,uy,ux,k,lambdaA,lambdaB,s)

rA0=SBR(yy,xx,xy,uu,uy,ux,k,lambdaA); sA0=rA0.s; 
rnew=SBR(yy,xx,xy,uu,uy,ux,k,lambdaB); sB0=rnew.s; 

% if initial guess of lambdaA and B select too few or too many predictors
while sA0<s; lambdaB=lambdaA; lambdaA=lambdaA/2; rA=SBR(yy,xx,xy,uu,uy,ux,k,lambdaA); sA0=rA.s; end
while sB0>s; lambdaA=lambdaB; lambdaB=lambdaB*2; rB=SBR(yy,xx,xy,uu,uy,ux,k,lambdaB); sB0=rB.s; end

count=0;
snew=sB0;
while snew~=s & count<50
    count=count+1;
    lambda=(lambdaA+lambdaB)/2;
    rnew=SBR(yy,xx,xy,uu,uy,ux,k,lambda); snew=rnew.s;
    if snew>s; lambdaA=lambda; elseif snew<s; lambdaB=lambda; end
end

r.s=rnew.s;
r.Z=rnew.Z;
r.count=count;
if exist('lambda'); r.lambda=lambda; else r.lambda=lambdaB; end