function [y,x,r] = SimulBase(T,k,s,R2y,rho,seed);

if nargin==7; rng(seed); end
r.seed=rng;

X = randn(T,k)*chol(toeplitz(rho.^(0:k-1)));
gamma = zeros(k,1); 
temp = randperm(k); 
gamma(temp(1:s))=randn(s,1);
sigma2_eps=(1/R2y-1)*(X*gamma)'*(X*gamma)/T;
epsy=randn(T,1)*sqrt(sigma2_eps);
Y = X*gamma + epsy;
r.rho = rho;
x = zscore(X,1);
[y,My,Sy] = zscore(Y,1);