function [y,x,r] = simulFinalMess(T,k,s,R2y,rho,seed);

if nargin==7; rng(seed); end
r.seed=rng;

X = randn(T,k)*chol(toeplitz(rho.^(0:k-1)));
gamma = zeros(k,1); 
temp = randperm(k); 
S = temp(1:s);
%gamma(S)=randn(s,1);
gamma(S)=(rand(s,1)-.5)*sqrt(12);
delta    = zeros(k,1);
delta(S) = randn(s,1);
LogS    = X*delta/sqrt((X*delta)'*(X*delta)/T)*1;

%epsy_temp= randn(T,1).*exp(LogS);
epsy_temp= trnd(3,T,1)/sqrt(3).*exp(LogS);

sigma2_eps=(1/R2y-1)*((X*gamma)'*(X*gamma)/T)/mean(epsy_temp.^2);

epsy     = epsy_temp*sqrt(sigma2_eps);

Y = X*gamma + epsy;
r.rho = rho;
x = zscore(X,1);
[y,My,Sy] = zscore(Y,1);
